<%
/**
 * <pre>
 * @Class Name : selectNotice.jsp
 * 
 * @Description : 공지사항 상세내용을 조회한다.
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 7. 22.    KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 7. 22.
 * @version 1.0
 *
 */
 %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="ui" uri="http://egovframework.gov/ctl/ui" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="validator" uri="http://www.springmodules.org/tags/commons-validator" %>

<c:set var="pageTitle">공지사항 - 상세조회</c:set>

<!DOCTYPE html>
<html lang="ko">
<head>
<title>${pageTitle}</title>

<script type="text/javaScript" language="javascript">
$(function() {
    alert("ok");	
});

// 이전글/다음글 상세 보기로 이동
function fn_view_detail(articleNo) {
    $("#articleNo").val(articleNo);
    $("#articleForm").attr("action", "${pageContext.request.contextPath}/board/selectNotice.do");
    $("#articleForm").submit();
}

// 목록으로 이동
function fn_list() {
    $("#articleForm").attr("action", "${pageContext.request.contextPath}/board/listNotices.do");
    $("#articleForm").submit();
}

// 수정 화면 이동 
function fn_updateForm(passwd) {
    if(passwd == null || passwd == "") {
        alert("수정을 위한 게시물의 비밀번호를 입력하여 주시기 바랍니다.");
        return;
    }
    
    $("#articlePassword").val(passwd);
    $("#articleForm").attr("action", "${pageContext.request.contextPath}/board/updateNoticeForm.do");
    $("#articleForm").submit();
}

// 수정위한 비밀번호 확인  
function fn_updatePassword() {
    fn_promptPassword("수정을 위한 글 비밀번호를 입력하여 주시기 바랍니다.", "111", "fn_updateForm")
}

// 삭제위한 비밀번호 확인  
function fn_deletePassword() {
    fn_promptPassword("삭제를 위한 글 비밀번호를 입력하여 주시기 바랍니다.", "111", "fn_delete")
}

// 삭제 처리 
function fn_delete(passwd) {
	if(passwd == null || passwd == "") {
	    alert("삭제를 위한 게시물의 비밀번호를 입력하여 주시기 바랍니다.");
	    return;
	}
	
	$("#articlePassword").val(passwd);
	$("#articleForm").attr("action", "${pageContext.request.contextPath}/board/deleteNotice.do");
	$("#articleForm").submit();
}

// 파일 다운로드
function fn_downloadFile(fid, fname) {
	
	if(fid == null || fid.trim().length < 1) {
		alert("파일정보를 확인해 주시기 바랍니다.[1]");
		return;
	}

	if(fname == null || fname.trim().length < 1) {
	     alert("파일정보를 확인해 주시기 바랍니다.[2]");
	     return;
	}

	$("#fid").val(fid);
	$("#fname").val(fname);
	$("#downloadFileForm").submit();
}
</script>

</head>

<body>

<h1>${pageTitle }</h1>

메시지 : <span style="color:red;">${message }</span>
<br />

<form name="articleForm" id="articleForm"  
      action="${pageContext.request.contextPath}/board/listNotices.do" 
      method="post"> 
    
    <!-- HIDDEN 영역 : 시작 -->
    <input type="text" name="pageIndex"       id="pageIndex"       title="페이지번호"        value="${pageIndex}"       readonly />
    <input type="text" name="pageSize"        id="pageSize"        title="목록에 보여줄 글개수" value="${pageSize}"        readonly />
    <input type="text" name="searchKeyword"   id="searchKeyword"   title="검색어"           value="${searchKeyword}"   readonly />
    <input type="text" name="articleNo"       id="articleNo"       title="선택글번호"        value="${articleNo}"       readonly />
    <input type="text" name="articleType"     id="articleType"     title="유형"            value="${articleType}"     readonly />
    <!-- HIDDEN 영역 : 종료 -->

    <table class="table_content" style="width:100% !important; margin-top: 20px;">
        <tr>
            <th>유형</th>
            <td>${article.articleTypeName }</td>
            <th>작성일</th>
            <td>${article.regDate }</td>
        </tr>
        <tr>
            <th rowspan="1">제목</th>
            <td colspan="3">${article.title}</td>
        </tr>
        <tr>
            <th rowspan="1">질문내용</th>
            <td colspan="3">${article.contentNotice}</td>
        </tr>
        <tr>
            <td colspan="4">
                <%
                // 파일정보 : 저장파일ID=원파일명
                %>
                <c:set var="contentNoticeFileList" value="${fn:split(article.contentNoticeFile,';')}" />
                <c:forEach var="contentNoticeFileItem" items="${contentNoticeFileList }">
	                <c:set var="fInfo" value="${fn:split(contentNoticeFileItem,'=')}" />
	                <a href="javascript:void(0);" onclick="fn_downloadFile('${fInfo[0]}', '${fInfo[1]}')">${fInfo[1]}</a><br/>
                </c:forEach>
            </td>
        </tr>
    </table>        
    
    <br/>
    
    <table class="table_content" style="width:100% !important;">
        <tr>
            <th>이전글</th>
            <td>${preArticle.articleTypeName }</td>
            <td><a href="javascript:void(0)" onclick="fn_view_detail('${preArticle.articleNo }')">${preArticle.title }</a></td>
            <th>작성일 : ${preArticle.regDate }</th>
        </tr>
        <tr>
            <th>다음글</th>
            <td>${nextArticle.articleTypeName }</td>
            <td><a href="javascript:void(0)" onclick="fn_view_detail('${nextArticle.articleNo }')">${nextArticle.title }</a></td>
            <th>작성일 : ${nextArticle.regDate }</th>
        </tr>
    </table>        
    
    <!-- 관련 작업 버튼 -->
    <button type="button" name="btnList" id="btnList" class="float"
        onclick="fn_list()">목록</button>
        
</form>

<br />

<!-- 첨부파일 다운로드용 폼 -->
<form name="downloadFileForm" id="downloadFileForm"
      action="${pageContext.request.contextPath}/fileupload/downloadFiles.do"
      method="post">
      <input type="text" name="subPathKey" id="subPathKey" value="fileupload.bbs.qna.subpath" readonly />
      <input type="text" name="fid" id="fid" value="" readonly />
      <input type="text" name="fname" id="fname" value="" readonly />
</form>

</body>
</html>
